# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Exporter.pm) perl(FindBin.pm) perl(Nagios/Plugin/Functions.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Nagios-Plugin-WWW-Mechanize
Version:        0.13
Release:        alt1_8
Summary:        Login to a web page as a user and get data as a Nagios plugin
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Nagios-Plugin-WWW-Mechanize/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TO/TONVOON/Nagios-Plugin-WWW-Mechanize-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Nagios/Plugin.pm)
BuildRequires:  perl(WWW/Mechanize.pm)
BuildRequires:  perl(Test/More.pm)
%{?el6:BuildRequires:  perl(Time/HiRes.pm)}
Source44: import.info

%description
This module ties Nagios::Plugin with WWW::Mechanize so that there's less
code in your perl script and the most common work is done for you.

%prep
%setup -q -n Nagios-Plugin-WWW-Mechanize-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_7
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_5
- fc import

